# Copyright (c) 1999-2003 Xerox Corporation.  All Rights Reserved.
#
# Permission to use, copy, modify  and  distribute  without  charge
# this  software,  documentation, images, etc. is granted, provided
# that this copyright and the author's name is retained.
#    
# A fee may be charged for this program ONLY to recover  costs  for
# distribution  (i.e.  media costs).  No profit can be made on this
# program.
#        
# The author assumes no responsibility for  disasters  (natural  or
# otherwise) as a consequence of use of this software.
#            
# Adam Stein (adam\@scan.mc.xerox.com)

# Constants
use constant IMGURL => "SED_IMGURL";		# URL to needed images

use constant NBCOLS => 4;			# Nb of columns to use to
						# display available calendars
use constant CALWIDTH => 700;			# Width of the calendar
use constant LOOKUP => "/usr/dt/bin/dtcm_lookup"; # Calendar interfacing program
                                                # when CSA module not available
use constant MAXCHAR => 16;			# Max. chars that can fit in
                                                # calendar day box for month
                                                # view
use constant TODAY => "#F2F2F2";                # Highlight color for today

use constant V_DAY => 0;			# Show calendar in day view
use constant V_WEEK => 1;			# Show calendar in week view
use constant V_MONTH => 2;			# Show calendar in month view
use constant V_YEAR => 3;			# Show calendar in year view

use constant A_VIEW => 0x00;			# View access to calendar
use constant A_INSERT => 0x01;			# Insert access to calendar
use constant A_DELETE => 0x02;			# Delete access to calendar

1;

