# Copyright (c) 1999-2003 Xerox Corporation.  All Rights Reserved.
#
# Permission to use, copy, modify  and  distribute  without  charge
# this  software,  documentation, images, etc. is granted, provided
# that this copyright and the author's name is retained.
#    
# A fee may be charged for this program ONLY to recover  costs  for
# distribution  (i.e.  media costs).  No profit can be made on this
# program.
#        
# The author assumes no responsibility for  disasters  (natural  or
# otherwise) as a consequence of use of this software.
#            
# Adam Stein (adam\@scan.mc.xerox.com)

use Data::Dumper;

# Dump variables to HTML page, used for debugging
sub Debug2HTML {
  my ($label) = shift,				# Label associated with var
  my ($var) = shift;				# Variable to print

  print "<H1>$label</H1>" if (defined($label));
  print "<P>", Dumper($var), "</P>";
}

# Dump variables to a log file, used for debugging
sub Debug2Logfile {
  my ($label) = shift,				# Label associated with var
  my ($var) = shift;                            # Variable to print

  # Make sure we open a file on a directory that my machine can get to
  open(LOGFILE, ">> /gp/1/tmp/wcal.log");

  print LOGFILE "[$label] " if (defined($label));
  print LOGFILE Dumper($var);

  close(LOGFILE);
}

1;

